<?php
/*
	Stempora Web Framework
	Copyright (c) 2002-2014 Stempora. 
	All rights reserved.
		web:  www.stempora.com
		mail: support@stempora.com		
*/

// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CManualLink extends CPlugin{
	
	var $tplvars; 

	function CManualLink() {
		//$this->CPlugin($db, $tables , $templates);
	}

	function DoEvents(){
		
	}

	function __init() {
		global $_CONF;

		if ($this->__inited) {
			return "";
		}
		$this->tpl_module = $this->module->plugins["modules"]->LoadModuleInfo();
	} 


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function GetMenuButton($module) {

		return array(			
				"mod_id"	=> $module["mod_id"] ,

				"title"		=> $module["mod_name"],
				"link"		=> $module["mod_external_link"],///$module["settings"]["set_link"],
				"selected"	=> "",
				"target"	=> $module["mod_external_target"] ? "_blank" : "",

				"html"		=> "",
				"sub"		=> "",
		);
		
	}
	
}

?>